# -*- mode: python -*-

block_cipher = None

import os

code_folder = 'C:/pds4_viewer/pds4_tools/'
viewer = os.path.join(code_folder, 'pds4_viewer.py')
window_icon = os.path.join(code_folder, 'logo.gif')
taskbar_icon = os.path.join(code_folder, 'logo.ico')

a = Analysis([viewer],
             pathex=[code_folder],
             binaries=None,
             datas=[ (window_icon, '') ],
             hiddenimports=['Tkinter', 'numpy', 'matplotlib', 'six', 'pds4_read', 'treeview'],
             hookspath=None,
             runtime_hooks=None,
             excludes=None,
             win_no_prefer_redirects=None,
             win_private_assemblies=None,
             cipher=block_cipher)

pyz = PYZ(a.pure, a.zipped_data,
             cipher=block_cipher)

exe = EXE(pyz,
          a.scripts,
          a.binaries,
          a.zipfiles,
          a.datas,
          name='pds4_viewer',
          debug=False,
          strip=None,
          upx=True,
          console=False,
          icon=taskbar_icon)

coll = COLLECT(exe,
               a.binaries,
               a.zipfiles,
               a.datas,
               strip=None,
               upx=True,
               name='pds4_viewer')