from setuptools import setup, find_packages

setup(
    name='pds4_tools',

    version='0.4',

    description='Python tools to read and display PDS4 data',

    # Author details
    author='Lev Nagdimunov',
    author_email='lnagdi1@astro.umd.edu',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Science/Research'
        'Intended Audience :: Developers'
        'License :: OSI Approved :: BSD License'
        'Operating System :: Microsoft :: Windows'
        'Operating System :: POSIX'
        'Operating System :: Unix'
        'Operating System :: MacOS'

        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],

    packages=find_packages(exclude=['contrib', 'docs', 'tests*']),
    package_data={'': ['logo.gif']},

    extras_require={
        'use_numpy': ['numpy'],
        'pds4_viewer': ['Tkinter', 'numpy', 'matplotlib'],
    }
)